Index: /trunk/source/geometry/magneticfield/src/G4NystromRK4.cc
===================================================================
--- /trunk/source/geometry/magneticfield/src/G4NystromRK4.cc	(revision 1274)
+++ /trunk/source/geometry/magneticfield/src/G4NystromRK4.cc	(revision 1274)
@@ -0,0 +1,209 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: G4NystromRK4.cc,v 1.6 2009/12/16 17:49:57 gunter Exp $
+// GEANT4 tag $Name:  $
+//
+// History:
+// - Created:      I.Gavrilenko    15.05.2009   (as G4AtlasRK4)
+// - Adaptations:  J. Apostolakis  May-Nov 2009
+// -------------------------------------------------------------------
+
+#include "G4NystromRK4.hh"
+#include <iostream>
+
+//////////////////////////////////////////////////////////////////
+// Constructor - with optional distance ( has default value)
+//////////////////////////////////////////////////////////////////
+
+G4NystromRK4::G4NystromRK4(G4Mag_EqRhs* magEqRhs, G4double distanceConstField)
+  : G4MagIntegratorStepper(magEqRhs, 6),            // number of variables
+    m_fEq( magEqRhs ),
+    m_magdistance( distanceConstField ),
+    m_cof( 0.0 ),
+    m_mom( 0.0 ),
+    m_imom( 0.0 ),
+    m_cachedMom( false )
+{
+  m_fldPosition[0]  = m_iPoint[1] = m_fPoint[2] = 9.9999999e+99 ;
+  m_fldPosition[1]  = m_iPoint[1] = m_fPoint[2] = 9.9999999e+99 ;
+  m_fldPosition[2]  = m_iPoint[1] = m_fPoint[2] = 9.9999999e+99 ;
+  m_fldPosition[3]  = -9.9999999e+99;
+
+  m_magdistance2 = distanceConstField*distanceConstField;
+}
+
+////////////////////////////////////////////////////////////////
+// Destructor
+////////////////////////////////////////////////////////////////
+
+G4NystromRK4::~G4NystromRK4()
+{
+}
+
+/////////////////////////////////////////////////////////////////////////////////
+// Integration in one  step 
+/////////////////////////////////////////////////////////////////////////////////
+
+void 
+G4NystromRK4::Stepper
+(const G4double P[],const G4double dPdS[],G4double Step,G4double Po[],G4double Err[])
+{
+  G4double R[3] = {   P[0],   P[1] ,    P[2]};
+  G4double A[3] = {dPdS[0], dPdS[1], dPdS[2]};
+
+  m_iPoint[0]=R[0]; m_iPoint[1]=R[1]; m_iPoint[2]=R[2];
+
+  const G4double one_sixth= 1./6.;
+  G4double S  =     Step   ;
+  G4double S5 =  .5*Step   ;
+  G4double S4 = .25*Step   ;
+  G4double S6 =     Step * one_sixth;   // Step / 6.;
+
+
+  // John A  added, in order to emulate effect of call to changed/derived RHS
+  // m_mom   = sqrt(P[3]*P[3]+P[4]*P[4]+P[5]*P[5]); 
+  // m_imom  = 1./m_mom;
+  // m_cof   = m_fEq->FCof()*m_imom;
+
+  // Point 1
+  //
+  G4double K1[3] = { m_imom*dPdS[3], m_imom*dPdS[4], m_imom*dPdS[5] };
+  
+  // Point2
+  //
+  G4double p[4] = {R[0]+S5*(A[0]+S4*K1[0]),
+		   R[1]+S5*(A[1]+S4*K1[1]),
+		   R[2]+S5*(A[2]+S4*K1[2]),
+		   P[7]                   }; 
+  getField(p);
+
+  G4double A2[3] = {A[0]+S5*K1[0],A[1]+S5*K1[1],A[2]+S5*K1[2]};
+  G4double K2[3] = {(A2[1]*m_lastField[2]-A2[2]*m_lastField[1])*m_cof,
+		    (A2[2]*m_lastField[0]-A2[0]*m_lastField[2])*m_cof,
+		    (A2[0]*m_lastField[1]-A2[1]*m_lastField[0])*m_cof};
+ 
+  m_mPoint[0]=p[0]; m_mPoint[1]=p[1]; m_mPoint[2]=p[2];
+
+  // Point 3 with the same magnetic field
+  //
+  G4double A3[3] = {A[0]+S5*K2[0],A[1]+S5*K2[1],A[2]+S5*K2[2]};
+  G4double K3[3] = {(A3[1]*m_lastField[2]-A3[2]*m_lastField[1])*m_cof,
+		    (A3[2]*m_lastField[0]-A3[0]*m_lastField[2])*m_cof,
+		    (A3[0]*m_lastField[1]-A3[1]*m_lastField[0])*m_cof};
+  
+  // Point 4
+  //
+  p[0] = R[0]+S*(A[0]+S5*K3[0]);
+  p[1] = R[1]+S*(A[1]+S5*K3[1]);
+  p[2] = R[2]+S*(A[2]+S5*K3[2]);             
+
+  getField(p);
+  
+  G4double A4[3] = {A[0]+S*K3[0],A[1]+S*K3[1],A[2]+S*K3[2]};
+  G4double K4[3] = {(A4[1]*m_lastField[2]-A4[2]*m_lastField[1])*m_cof,
+		    (A4[2]*m_lastField[0]-A4[0]*m_lastField[2])*m_cof,
+		    (A4[0]*m_lastField[1]-A4[1]*m_lastField[0])*m_cof};
+  
+  // New position
+  //
+  Po[0] = P[0]+S*(A[0]+S6*(K1[0]+K2[0]+K3[0]));
+  Po[1] = P[1]+S*(A[1]+S6*(K1[1]+K2[1]+K3[1]));
+  Po[2] = P[2]+S*(A[2]+S6*(K1[2]+K2[2]+K3[2]));
+
+  m_fPoint[0]=Po[0]; m_fPoint[1]=Po[1]; m_fPoint[2]=Po[2];
+
+  // New direction
+  //
+  Po[3] = A[0]+S6*(K1[0]+K4[0]+2.*(K2[0]+K3[0]));
+  Po[4] = A[1]+S6*(K1[1]+K4[1]+2.*(K2[1]+K3[1]));
+  Po[5] = A[2]+S6*(K1[2]+K4[2]+2.*(K2[2]+K3[2]));
+
+  // Errors
+  //
+  Err[3] = S*std::fabs(K1[0]-K2[0]-K3[0]+K4[0]);
+  Err[4] = S*std::fabs(K1[1]-K2[1]-K3[1]+K4[1]);
+  Err[5] = S*std::fabs(K1[2]-K2[2]-K3[2]+K4[2]);
+  Err[0] = S*Err[3]                       ;
+  Err[1] = S*Err[4]                       ;
+  Err[2] = S*Err[5]                       ;
+  Err[3]*= m_mom                          ;
+  Err[4]*= m_mom                          ;
+  Err[5]*= m_mom                          ;
+
+  // Normalize momentum
+  //
+  G4double normF = m_mom/std::sqrt(Po[3]*Po[3]+Po[4]*Po[4]+Po[5]*Po[5]);
+  Po [3]*=normF; Po[4]*=normF; Po[5]*=normF; 
+
+  // Pass Energy, time unchanged -- time is not integrated !!
+  Po[6]=P[6]; Po[7]=P[7];
+}
+
+
+/////////////////////////////////////////////////////////////////////////////////
+// Estimate the maximum distance from the curve to the chord
+/////////////////////////////////////////////////////////////////////////////////
+
+G4double 
+G4NystromRK4::DistChord() const 
+{
+  G4double ax = m_fPoint[0]-m_iPoint[0];  
+  G4double ay = m_fPoint[1]-m_iPoint[1];  
+  G4double az = m_fPoint[2]-m_iPoint[2];
+  G4double dx = m_mPoint[0]-m_iPoint[0]; 
+  G4double dy = m_mPoint[1]-m_iPoint[1]; 
+  G4double dz = m_mPoint[2]-m_iPoint[2];
+  G4double d2 = (ax*ax+ay*ay+az*az)    ; 
+
+  if(d2!=0.) {
+    G4double  s = (ax*dx+ay*dy+az*dz)/d2;
+    dx         -= (s*ax)                ;
+    dy         -= (s*ay)                ;
+    dz         -= (s*az)                ;
+  }
+  return std::sqrt(dx*dx+dy*dy+dz*dz);
+}
+
+/////////////////////////////////////////////////////////////////////////////////
+// Derivatives calculation - caching the momentum value
+/////////////////////////////////////////////////////////////////////////////////
+
+void 
+G4NystromRK4::ComputeRightHandSide(const G4double P[],G4double dPdS[])
+{
+  getField(P);
+  m_mom   = std::sqrt(P[3]*P[3]+P[4]*P[4]+P[5]*P[5])     ; 
+  m_imom  = 1./m_mom                                ;
+  m_cof   = m_fEq->FCof()*m_imom                    ;
+  m_cachedMom = true                                ; // Caching the value
+  dPdS[0] = P[3]*m_imom                             ; // dx /ds
+  dPdS[1] = P[4]*m_imom                             ; // dy /ds
+  dPdS[2] = P[5]*m_imom                             ; // dz /ds
+  dPdS[3] = m_cof*(P[4]*m_lastField[2]-P[5]*m_lastField[1]) ; // dPx/ds
+  dPdS[4] = m_cof*(P[5]*m_lastField[0]-P[3]*m_lastField[2]) ; // dPy/ds
+  dPdS[5] = m_cof*(P[3]*m_lastField[1]-P[4]*m_lastField[0]) ; // dPz/ds
+}
Index: /trunk/source/graphics_reps/test/BuildCalorimeter.hh
===================================================================
--- /trunk/source/graphics_reps/test/BuildCalorimeter.hh	(revision 1274)
+++ /trunk/source/graphics_reps/test/BuildCalorimeter.hh	(revision 1274)
@@ -0,0 +1,124 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: BuildCalorimeter.hh,v 1.4 2006/06/29 19:07:35 gunter Exp $
+// GEANT4 tag $Name:  $
+//
+#ifndef BUILDCALORIMETER_HH
+#define BUILDCALORIMETER_HH
+
+#include "G4PVPlacement.hh"
+#include "G4LogicalVolume.hh"
+#include "G4Box.hh"
+#include "G4Tubs.hh"
+#include "G4Material.hh"
+#include "G4VisAttributes.hh"
+
+G4VPhysicalVolume* BuildCalorimeter()
+{
+    G4double offset=22.5,xTlate,yTlate;
+    G4int i,j,copyNo;
+    G4double z = 13.;
+    G4double a = 26.98*g/mole;
+    G4double density = 2.7*g/cm3;
+    G4Material myMaterial("Aluminium", z, a, density);
+
+    G4VisAttributes* red   = new G4VisAttributes (G4Colour(1,0,0));
+    G4VisAttributes* green = new G4VisAttributes (G4Colour(0,1,0));
+    G4VisAttributes* blue  = new G4VisAttributes (G4Colour(0,0,1));
+
+    G4Box *myWorldBox= new G4Box ("WBox",10000,10000,10000);
+    G4Box *myCalBox = new G4Box ("CBox",1500,1500,1000);
+//    G4Tubs *myTargetTube = new G4Tubs ("TTube",0,22.5,1000,0,360);
+    G4Tubs *myTargetTube = new G4Tubs ("TTube",0,22.5,100,0,360);
+
+    G4LogicalVolume *myWorldLog=new G4LogicalVolume(myWorldBox,&myMaterial,
+						    "WLog",0,0,0);
+    G4LogicalVolume *myCalLog=new G4LogicalVolume(myCalBox,&myMaterial,
+						  "CLog",0,0,0);
+    myCalLog -> SetVisAttributes (green);
+    G4LogicalVolume *myTargetLog=new G4LogicalVolume(myTargetTube,&myMaterial,
+						     "TLog",0,0,0);
+    myTargetLog -> SetVisAttributes (blue);
+
+    G4PVPlacement *myWorldPhys=new G4PVPlacement(0,G4ThreeVector(),
+						 "WPhys",
+						 myWorldLog,
+						 0,false,0);
+    G4PVPlacement *myCalPhys=new G4PVPlacement(0,G4ThreeVector(),
+					       "CalPhys",
+					       myCalLog,
+					       myWorldPhys,false,0);
+
+    G4String tName1("TPhys1");	// Allow all target physicals to share
+    // same name (delayed copy)
+    copyNo=0;
+    //for (j=1;j<=25;j++)
+    for (j=1;j<=3;j++)
+      {
+	yTlate=-1000.0-40.0+j*80.0;
+	
+	//for (i=1;i<=50;i++)
+	for (i=1;i<=5;i++)
+	  {
+	    copyNo++;
+	    xTlate=-1000.0-20.0+i*45.0-offset;
+	    G4PVPlacement *myTargetPhys=new G4PVPlacement(0,G4ThreeVector(xTlate,yTlate,0),
+							  tName1,
+							  myTargetLog,
+							  myCalPhys,
+							  false,
+							  copyNo);
+	  }
+      }
+
+    G4String tName2("TPhys2");	// Allow all target physicals to share
+				// same name (delayed copy)
+    copyNo=0;
+    //for (j=1;j<=26;j++)
+    for (j=1;j<=4;j++)
+      {
+	yTlate=-1000.0-80.0+j*80.0;
+	//for (i=1;i<=50;i++)
+	for (i=1;i<=5;i++)
+	  {
+	    copyNo++;
+	    xTlate=-1000.0-20.0+i*45.0;
+	    G4PVPlacement *myTargetPhys=new G4PVPlacement(0,G4ThreeVector(xTlate,yTlate,0),
+							  tName2,
+							  myTargetLog,
+							  myCalPhys,
+							  false,
+							  copyNo);
+	  }
+      }
+
+    return myWorldPhys;
+}
+#endif
+
+
+
Index: /trunk/source/graphics_reps/test/test1.cc
===================================================================
--- /trunk/source/graphics_reps/test/test1.cc	(revision 1274)
+++ /trunk/source/graphics_reps/test/test1.cc	(revision 1274)
@@ -0,0 +1,51 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: test1.cc,v 1.5 2006/06/29 19:07:37 gunter Exp $
+// GEANT4 tag $Name:  $
+//
+// 
+// John Allison  19th July 1996
+
+// Simply tests linkability of kernel without visualization.
+
+#include "G4ios.hh"
+#include <cmath>
+
+#include "BuildCalorimeter.hh"
+#include "G4VPhysicalVolume.hh"
+#include "G4GeometryManager.hh"
+
+#include "g4templates.hh"
+
+main () {
+
+  // Build some geometry and get relevant pointers.
+  G4VPhysicalVolume *pWorld = BuildCalorimeter ();
+  G4GeometryManager::GetInstance () -> CloseGeometry ();
+
+  return 0;
+}
Index: /trunk/source/graphics_reps/test/testG4Polyhedron.cc
===================================================================
--- /trunk/source/graphics_reps/test/testG4Polyhedron.cc	(revision 1274)
+++ /trunk/source/graphics_reps/test/testG4Polyhedron.cc	(revision 1274)
@@ -0,0 +1,255 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+//
+// $Id: testG4Polyhedron.cc,v 1.4 2006/06/29 19:07:40 gunter Exp $
+// GEANT4 tag $Name:  $
+//
+// 
+
+// Create polyhedron for different shapes
+
+#include "G4ios.hh"
+#include "G4Polyhedron.hh"
+
+int main() {
+
+  G4Polyhedron polyhedron;
+
+//   B O X
+
+  G4cout << "=== G4PolyhedronBox" << G4endl;
+  polyhedron = G4PolyhedronBox(100., 200., 400.);
+
+//   T R D 1
+
+  G4cout << "=== G4PolyhedronTrd1" << G4endl;
+  polyhedron = G4PolyhedronTrd1(100., 150., 200., 400.);
+
+//   T R D 2
+
+  G4cout << "=== G4PolyhedronTrd2" << G4endl;
+  polyhedron = G4PolyhedronTrd2(2., 3., 4., 5., 6.);
+
+//   P A R A
+
+  G4cout << "=== G4PolyhedronPara" << G4endl;
+  polyhedron = G4PolyhedronPara(100., 200., 400., 15.*deg, 30.*deg, 30.*deg);
+
+//   T R A P
+
+  G4cout << "=== G4PolyhedronTrap" << G4endl;
+  polyhedron = G4PolyhedronTrap(390., 0.*deg, 0.*deg,
+				60., 40., 90., 15.*deg,
+				120., 80., 180., 15.*deg);
+
+//   T U B E
+
+  G4cout << "=== G4PolyhedronTube" << G4endl;
+  polyhedron = G4PolyhedronTube(100., 200., 400.);
+
+  G4cout << "=== G4PolyhedronTube(Rmin = 0)" << G4endl;
+  polyhedron = G4PolyhedronTube(0., 200., 400.);
+
+//   T U B S
+
+  G4cout << "=== G4PolyhedronTubs" << G4endl;
+  polyhedron = G4PolyhedronTubs(0., 200., 400., 200.*deg, 140.*deg);
+
+  G4cout << "=== G4PolyhedronTubs(Rmin = 0, Dphi=180)" << G4endl;
+  polyhedron = G4PolyhedronTubs(0., 200., 400., 200.*deg, 180.*deg);
+
+//   C O N E
+
+  G4cout << "=== G4PolyhedronCone" << G4endl;
+  polyhedron = G4PolyhedronCone(50., 100., 150., 200., 400.);
+
+  G4cout << "=== G4PolyhedronCone(Rmin1 = Rmin2 = 0)" << G4endl;
+  polyhedron = G4PolyhedronCone(0., 100., 0., 200., 400.);
+
+  G4cout << "=== G4PolyhedronCone(Rmin1 = Rmax1 = 0)" << G4endl;
+  polyhedron = G4PolyhedronCone(0., 0., 150., 200., 400.);
+
+  G4cout << "=== G4PolyhedronCone(Rmin1 = Rmax1)" << G4endl;
+  polyhedron = G4PolyhedronCone(100., 100., 150., 200., 400.);
+
+  G4cout << "=== G4PolyhedronCone(Rmin2 = Rmax2 = 0.)" << G4endl;
+  polyhedron = G4PolyhedronCone(50., 100., 0., 0., 400.);
+
+  G4cout << "=== G4PolyhedronCone(Rmin2 = Rmax2)" << G4endl;
+  polyhedron = G4PolyhedronCone(50., 100., 200., 200., 400.);
+
+//   C O N S
+
+  G4cout << "=== G4PolyhedronCons" << G4endl;
+  polyhedron = G4PolyhedronCons(50.,100.,150.,200.,400.,200.*deg,140.*deg);
+
+  G4cout << "=== G4PolyhedronCons(Rmin1 = Rmin2 = 0)" << G4endl;
+  polyhedron = G4PolyhedronCons(0.,100.,0.,200.,400.,200.*deg,140.*deg);
+
+  G4cout << "=== G4PolyhedronCons(Rmin1 = Rmin2 = 0, Dphi=180)" << G4endl;
+  polyhedron = G4PolyhedronCons(0.,100.,0.,200.,400.,200.*deg,180.*deg);
+
+  G4cout << "=== G4PolyhedronCons(Rmin1 = Rmax1 = 0)" << G4endl;
+  polyhedron = G4PolyhedronCons(0.,0.,150.,200.,400.,200.*deg,180.*deg);
+
+  G4cout << "=== G4PolyhedronCons(Rmin1 = Rmax1)" << G4endl;
+  polyhedron = G4PolyhedronCons(100.,100.,150.,200.,400.,200.*deg,180.*deg);
+
+  G4cout << "=== G4PolyhedronCons(Rmin2 = Rmax2 = 0.)" << G4endl;
+  polyhedron = G4PolyhedronCons(50.,100.,0.,0.,400.,200.*deg,180.*deg);
+
+  G4cout << "=== G4PolyhedronCons(Rmin2 = Rmax2)" << G4endl;
+  polyhedron = G4PolyhedronCons(50.,100.,200.,200.,400.,200.*deg,180.*deg);
+
+//   S P H E R E
+
+  G4cout << "=== G4PolyhedronSphere" << G4endl;
+  polyhedron = G4PolyhedronSphere(100.,200.,0.*deg,360.*deg,0.*deg,180.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Rmin=0)" << G4endl;
+  polyhedron = G4PolyhedronSphere(0.,200.,0.*deg,360.*deg,0.*deg,180.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Dphi=180)" << G4endl;
+  polyhedron = G4PolyhedronSphere(100.,200.,0.*deg,180.*deg,0.*deg,180.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Rmin=0, Dphi=180)" << G4endl;
+  polyhedron = G4PolyhedronSphere(0.,200.,5.*deg,180.*deg,0.*deg,180.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Dthe=0-90)" << G4endl;
+  polyhedron = G4PolyhedronSphere(100.,200.,0.*deg,360.*deg,0.*deg,90.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Rmin=0, Dthe=0-90)" << G4endl;
+  polyhedron = G4PolyhedronSphere(0.,200.,5.*deg,360.*deg,0.*deg,90.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Dthe=90-180)" << G4endl;
+  polyhedron = G4PolyhedronSphere(100.,200.,0.*deg,360.*deg,90.*deg,90.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Rmin=0, Dthe=90-180)" << G4endl;
+  polyhedron = G4PolyhedronSphere(0.,200.,5.*deg,360.*deg,90.*deg,90.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Dphi=180, Dthe=0-90)" << G4endl;
+  polyhedron = G4PolyhedronSphere(100.,200.,5.*deg,180.*deg,0.*deg,90.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Rmin=0, Dphi=180, Dthe=0-900)" << G4endl;
+  polyhedron = G4PolyhedronSphere(0.,200.,5.*deg,180.*deg,0.*deg,90.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Dphi=180, Dthe=90-180)" << G4endl;
+  polyhedron = G4PolyhedronSphere(100.,200.,5.*deg,180.*deg,90.*deg,90.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Rmin=0, Dphi=180, Dthe=90-180)" << G4endl;
+  polyhedron = G4PolyhedronSphere(0.,200.,5.*deg,180.*deg,90.*deg,90.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Dphi=45-135, Dthe=45-135)" << G4endl;
+  polyhedron = G4PolyhedronSphere(100.,200.,45.*deg,90.*deg,45.*deg,90.*deg);
+
+  G4cout << "=== G4PolyhedronSphere(Rmin=0, Dphi=30-120, Dthe=30-120)" << G4endl;
+  polyhedron = G4PolyhedronSphere(0.,200.,30.*deg,90.*deg,30.*deg,90.*deg);
+
+//   T O R U S
+
+  G4cout << "=== G4PolyhedronTorus" << G4endl;
+  polyhedron = G4PolyhedronTorus(100.,200.,400.,0.*deg,360.*deg);
+  
+  G4cout << "=== G4PolyhedronTorus(Rmin=0)" << G4endl;
+  polyhedron = G4PolyhedronTorus(0.,200.,400.,0.*deg,360.*deg);
+  
+  G4cout << "=== G4PolyhedronTorus(Dphi=180)" << G4endl;
+  polyhedron = G4PolyhedronTorus(100.,200.,400.,5.*deg,180.*deg);
+  
+  G4cout << "=== G4PolyhedronTorus(Rmin=0, Dphi=180)" << G4endl;
+  polyhedron = G4PolyhedronTorus(0.,200.,400.,5.*deg,180.*deg);
+  
+//   P G O N
+
+  G4cout << "=== G4PolyhedronPgon(Nz=4)" << G4endl;
+  G4double rmax01[4] = {  150.,  200., 200., 150.};
+  G4double rmin01[4] = {   50.,  100., 100.,  50.};
+  G4double z01[4]    = { -200., -100., 100., 200.};
+  polyhedron = G4PolyhedronPgon(5.*deg, 45.*deg, 2, 4, z01, rmin01, rmax01);
+
+  G4cout << "=== G4PolyhedronPgon(Nz=4, N=1)" << G4endl;
+  polyhedron = G4PolyhedronPgon(5.*deg, 45.*deg, 1, 4, z01, rmin01, rmax01);
+
+  G4cout << "=== G4PolyhedronPgon(Nz=4, Rmin=Rmax)" << G4endl;
+  G4double rmax02[4] = {  150.,  200., 200., 150.};
+  G4double rmin02[4] = {  150.,  100., 100., 150.};
+  G4double z02[4]    = { -200., -100., 100., 200.};
+  polyhedron = G4PolyhedronPgon(5.*deg, 45.*deg, 2, 4, z02, rmin02, rmax02);
+
+  G4cout << "=== G4PolyhedronPgon(Nz=4, N=1, Rmin=Rmax)" << G4endl;
+  polyhedron = G4PolyhedronPgon(5.*deg, 45.*deg, 1, 4, z02, rmin02, rmax02);
+
+  G4cout << "=== G4PolyhedronPgon(Nz=4, Rmin=Rmax=0)" << G4endl;
+  G4double rmax03[4] = {  0.,  200., 200., 0.};
+  G4double rmin03[4] = {  0.,  100., 100., 0.};
+  G4double z03[4]    = { -200., -100., 100., 200.};
+  polyhedron = G4PolyhedronPgon(5.*deg, 45.*deg, 2, 4, z03, rmin03, rmax03);
+
+  G4cout << "=== G4PolyhedronPgon(Nz=4, N=1, Rmin=Rmax=0)" << G4endl;
+  polyhedron = G4PolyhedronPgon(5.*deg, 45.*deg, 1, 4, z03, rmin03, rmax03);
+
+  G4cout << "=== G4PolyhedronPgon(Nz=4, Rmin=100)" << G4endl;
+  G4double rmax04[4] = {  150.,  200., 200., 150.};
+  G4double rmin04[4] = {  100.,  100., 100., 100.};
+  G4double z04[4]    = { -200., -100., 100., 200.};
+  polyhedron = G4PolyhedronPgon(5.*deg, 120.*deg, 6, 4, z04, rmin04, rmax04);
+
+  G4cout << "=== G4PolyhedronPgon(Nz=4, Rmin=0, Dphi=180)" << G4endl;
+  G4double rmax05[4] = {  150.,  200., 200., 150.};
+  G4double rmin05[4] = {    0.,    0.,   0.,   0.};
+  G4double z05[4]    = { -200., -100., 100., 200.};
+  polyhedron = G4PolyhedronPgon(5.*deg, 180.*deg, 6, 4, z05, rmin05, rmax05);
+
+  G4cout << "=== G4PolyhedronPgon(Nz=3, Rmin=Rmax)" << G4endl;
+  G4double rmax06[3] = {  100.,  200., 200.};
+  G4double rmin06[3] = {  100.,  100., 100.};
+  G4double z06[3]    = { -200., -100., 100.};
+  polyhedron = G4PolyhedronPgon(5.*deg, 120.*deg, 6, 3, z06, rmin06, rmax06);
+
+//   P C O N
+
+  G4cout << "=== G4PolyhedronPcon(Nz=4)" << G4endl;
+  polyhedron = G4PolyhedronPcon(5.*deg, 45.*deg, 4, z01, rmin01, rmax01);
+
+  G4cout << "=== G4PolyhedronPcon(Nz=4, Rmin=Rmax)" << G4endl;
+  polyhedron = G4PolyhedronPcon(5.*deg, 45.*deg, 4, z02, rmin02, rmax02);
+
+  G4cout << "=== G4PolyhedronPcon(NZ=4, Rmin=Rmax=0)" << G4endl;
+  polyhedron = G4PolyhedronPcon(5.*deg, 45.*deg, 4, z03, rmin03, rmax03);
+
+  G4cout << "=== G4PolyhedronPcon(Nz=4, Rmin=100)" << G4endl;
+  polyhedron = G4PolyhedronPcon(5.*deg, 120.*deg, 4, z04, rmin04, rmax04);
+
+  G4cout << "=== G4PolyhedronPcon(Nz=4, Rmin=0, Dphi=180)" << G4endl;
+  polyhedron = G4PolyhedronPcon(5.*deg, 180.*deg, 4, z05, rmin05, rmax05);
+
+  G4cout << "=== G4PolyhedronPcon(Nz=3, Rmin=Rmax)" << G4endl;
+  polyhedron = G4PolyhedronPcon(5.*deg, 120.*deg, 3, z06, rmin06, rmax06);
+
+  return 0;
+}
+     
+      
Index: /trunk/source/interfaces/History
===================================================================
--- /trunk/source/interfaces/History	(revision 1273)
+++ /trunk/source/interfaces/History	(revision 1274)
@@ -1,3 +1,3 @@
-$Id: History,v 1.133 2010/05/20 07:01:03 lgarnier Exp $
+$Id: History,v 1.135 2010/05/26 14:27:14 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -21,5 +21,5 @@
  - G4UIQt: Fix some compil errors with qt3
 
-20 May, L. Garnier
+20 May, L. Garnier (interfaces-V09-03-02)
  Co-working tag : intercoms-V09-03-01
  - G4UIQt: Add some changes in order to register UI in order to access
